Eclipse enhancer plugin issue

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Eclipse enhancer plugin issue

Martin Emrich
Hello,

I finally gave the Eclipse plugin (http://openjpa.apache.org/openjpaeclipseenhancementbuilder.html) a go. After building, I get a message like:

OpenJPA Enhancement Builder failed with message '<openjpa-1.2.1-r752877:753278 nonfatal user error> org.apache.openjpa.util.UserException: Type "XXX" attempts to use both field and property access. Only one access method is permitted. Field access is used on the following fields: …

(For the details: It mentions two entities I clearly marked @Transient, while having the getter annotated with @Entity etc. Also the class is marked with Access.PROPERTY)
Enhancement works fine without any issues both via maven and gradle, and I cannot find anything wrong with my code. I solely use code annotations, so no orm.xml at all.
Debugging and running works fine despite the message, it is just annoying.

I use OpenJPA 2.4, but the plugin has version 1.2.1. Is this just the plugin version, or does ist actually use some old OpenJPA 1.x?

What else could be wrong? Or is this plugin simply deprecated (would be sad, as I don’t want to go back to maven or gradle builds during coding).

Thanks,

Martin